Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Len Trigg <[email-masked]>
Date: Thu, 27 Feb 2025 09:26:06 +1300

On Thu, 27 Feb 2025 at 08:41, Gerd Möllmann <[email-masked]>
wrote:

> The Posframe displays the minibuffer, but it doesn't have a minibuffer.
> The actual minibuffer is still in the original frame, but it appears as
> if it were not there because the mini-window's vscroll is set to
> disguise that fact.
>
> The trick doesn't work on ttys simply because I didn't implement vscroll
> for ttys in Emacs 21.
>

Ahh apologies, so that first issue is a case of me misremembering what the
previous tty behaviour was like, and it's really the multiple clients cases
that are problematic (although in a different way to when this bug was
first opened).

Cheers,
Len.